| Agda-2.2.6: A dependently typed functional programming language and proof assistant | Source code | Contents | Index

Agda.Interaction.Highlighting.Emacs

Description
Functions which give precise syntax highlighting info to Emacs.
Synopsis

showHighlightingInfo :: Maybe (HighlightingInfo, ModuleToSource) -> String
tests :: IO Bool

Documentation

showHighlightingInfo | Source

:: Maybe (HighlightingInfo, ModuleToSource) | The `ModuleToSource` must contain a mapping for every definition site's module.
-> String |
Shows syntax highlighting information in an Emacsy fashion.

tests :: IO Bool | Source

All the properties.
Produced by Haddock version 2.4.2